<script language="C#" runat="server">
  public int pageCount=1;
  public int currentPage=1;

  public string txtStart = "..First";
  public string txtPrev = "..Prev";
  public string txtNext = "Next..";
  public string txtEnd = "End..";

  public string action = "/";

  private string makeLink(string linkStr, int page, string title)
  {
    return "<a href=\""+action+page+"\" title=\""+title+"\">"+linkStr+"</a>";
  }

  public string pageLink {
    get {
      int pageStart;
      int pageEnd;
      string str = "";

      pageStart=currentPage-4;
      if(pageStart<1) 
        pageStart=1;
      pageEnd=pageStart+8;
      if(pageEnd>=pageCount)
        pageEnd=pageCount;
      pageStart=pageEnd-8;
      if(pageStart<1) 
        pageStart=1;
      
      if(currentPage>1) {
        str=makeLink(txtStart,1,"ù ") +" "+ makeLink("<b>"+txtPrev+"</b>",currentPage-1," ");
      }
      else {
        str=txtStart +" "+ txtPrev;
      }
      str+=" ";

      for( int i=pageStart;i<=pageEnd;i++) {
        if( i==currentPage )
          str+="<font color=black>"+i+"</font> ";
        else
          str+=makeLink( "<b>"+i+"</b>",i,i+" " )+" ";
      }

      if(currentPage<pageCount) {
        str+=makeLink("<b>"+txtNext+"</b>",currentPage+1," ") +" "+ makeLink(txtEnd,pageCount," ");
      }
      else {
        str+=txtNext +" "+ txtEnd;
      }
      return str;
    }
  }
</script>

<%# pageLink %>
